// 773100 - Parametri di studio 770
#include <confapp.h>

class M73_App : public TConfig_application
{
  public:
    virtual bool user_create(); 
    virtual bool firm_change_enabled() const;
    M73_App() : TConfig_application(CONFIG_STUDIO) {}
    virtual ~M73_App() {}
};

bool M73_App::user_create()      
{
  TString16   section;
  const char* edit_mask = "773100a";
  
  section = name(); 
  section.cut(2); 

// Forza EdMask in prassis.ini
  TConfig cnf (CONFIG_STUDIO, section);
  cnf.get("EdMask", section, -1, edit_mask);
  
  return TRUE;
}

bool M73_App::firm_change_enabled() const
{ 
	return FALSE;
}
	
int m73100 (int argc, char* argv[])
{
  M73_App appc;
  appc.run(argc, argv, "Parametri Modello 770");
  return 0;
}
